package com.cars.car4you.model;

import lombok.Data;

import javax.persistence.*;

@Entity
@Data
public class Car {

    @ManyToOne
//    @JoinTable(name = "car_details")
    private CarDetails carDetails;

    @Column(nullable = false, unique = false, insertable = false, updatable = false)
    private Long car_details_id;

    @Id
    private Long id;

    @Column(nullable = false, unique = false)
    private String brand;

    @Column(nullable = false, unique = false)
    private String model;

    @Column(nullable = false, unique = false)
    private String version;

    @Column(nullable = false, unique = false)
    private Integer year;

    @Column(nullable = false, unique = false)
    private Integer engine_power;

    @Column(nullable = false, unique = false)
    private Double engine_capacity;

    @Column(nullable = false, unique = false)
    private String transmission;

    @Column(nullable = false, unique = false)
    private String drive;

    @Column(nullable = false, unique = false)
    private String body_type;

    @Column(nullable = false, unique = false)
    private Integer doors;

    @Column(nullable = false, unique = false)
    private Integer seats;

    @Column(nullable = false, unique = false)
    private Long price_from;

    @Column(nullable = false, unique = false)
    private Long price_to;

    @Column(nullable = false, unique = false)
    private Double avarage;

    @Column(nullable = false, unique = false)
    private String fuel;

    public CarDetails getCarDetails() {
        return carDetails;
    }

    public void setCarDetails(CarDetails carDetails) {
        this.carDetails = carDetails;
    }

    public Long getCar_details_id() {
        return car_details_id;
    }

    public void setCar_details_id(Long car_details_id) {
        this.car_details_id = car_details_id;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public Integer getYear() {
        return year;
    }

    public void setYear(Integer year) {
        this.year = year;
    }

    public Integer getEngine_power() {
        return engine_power;
    }

    public void setEngine_power(Integer engine_power) {
        this.engine_power = engine_power;
    }

    public Double getEngine_capacity() {
        return engine_capacity;
    }

    public void setEngine_capacity(Double engine_capacity) {
        this.engine_capacity = engine_capacity;
    }

    public String getTransmission() {
        return transmission;
    }

    public void setTransmission(String transmission) {
        this.transmission = transmission;
    }

    public String getDrive() {
        return drive;
    }

    public void setDrive(String drive) {
        this.drive = drive;
    }

    public String getBody_type() {
        return body_type;
    }

    public void setBody_type(String body_type) {
        this.body_type = body_type;
    }

    public Integer getDoors() {
        return doors;
    }

    public void setDoors(Integer doors) {
        this.doors = doors;
    }

    public Integer getSeats() {
        return seats;
    }

    public void setSeats(Integer seats) {
        this.seats = seats;
    }

    public Long getPrice_from() {
        return price_from;
    }

    public void setPrice_from(Long price_from) {
        this.price_from = price_from;
    }

    public Long getPrice_to() {
        return price_to;
    }

    public void setPrice_to(Long price_to) {
        this.price_to = price_to;
    }

    public Double getAvarage() {
        return avarage;
    }

    public void setAvarage(Double avarage) {
        this.avarage = avarage;
    }

    public String getFuel() {
        return fuel;
    }

    public void setFuel(String fuel) {
        this.fuel = fuel;
    }
}
