﻿
function sendGetRequest() {
    let result = document.querySelector('.result');
    let fuel_type = document.getElementById('fuel_type');
    let seats = document.getElementsByClassName('seats');
    let doors = document.getElementById('doors');
    let maximum_price = document.getElementById('maximum_price');
    let max_years_old = document.getElementById('max_years_old');
    let engine_power_from = document.getElementById('engine_power_from');
    let engine_power_to = document.getElementById('engine_power_to');
    let body_type = document.getElementById('body_type');
    let gearbox = document.getElementById('gearbox');
    let drive_type = document.getElementById('drive_type');
    let request = new XMLHttpRequest();
    let url = "http://localhost:8080/car/api/search";
    var params = [];
    if (fuel_type.value != -1) {
        params.push("fuel_type=" + fuel_type.options[fuel_type.value].text);
    }
    if (seats.value > 0) {
        params.push("seats=" + seats.value);
    }
    if (doors.value != -1) {
        params.push("doors=" + doors.options[doors.value].text);
    }
    if (maximum_price.value > 0) {
        params.push("maximum_price=" + maximum_price.value);
    }
    if (max_years_old.value > 0) {
        params.push("max_years_old=" + max_years_old.value);
    }
    if (engine_power_from.value > 0) {
        params.push("engine_power_from=" + engine_power_from.value);
    }
    if (engine_power_to.value > 0) {
        params.push("engine_power_to=" + engine_power_to.value);
    }
    if (body_type.value != -1) {
        params.push("body_type=" + body_type.value);
    }
    if (gearbox.value != -1) {
        params.push("gearbox=" + gearbox.value);
    }
    if (drive_type.value != -1) {
        params.push("drive_type=" + drive_type.value);
    }
    var buff = "";
    if (params.length > 0) {
        buff += "?";
        for (var i = 0, len = params.length; i < len; i++) {
            buff += params[i];
            buff += "\&";
        }
        buff = buff.substr(0, buff.length - 1); //obcinanie ostatego znaku
    }

    console.log("Debug: " + buff);
    // request.open("GET", url + buff, true);
    // request.setRequestHeader("Content-Type", "text/html");
    // request.send();
    // request.onreadystatechange = function () {
    //     if (request.readyState === 4 && request.status === 200) {
    //
    //         // Print received data from server
    //         result.innerHTML = this.responseText;
    //         // Simulate an HTTP redirect:
    //         window.location.replace("/wynik.html");
    //
    //     }
    // };
    $.getJSON(url+buff, function( data ) {
        $('#table ').empty();
        var cars_data = ' ' +
            '               <thead> ' +
            '               <tr>\n' +
            '                <th>#</th>\n' +
            '                <th>Marka</th>\n' +
            '                <th>Model</th>\n' +
            '                <th>Wersja</th>\n' +
            '<!--                <th>Rok produkcji</th>-->\n' +
            '                <th>Moc silnika [KM]</th>\n' +
            '                <th>Pojemność silnika</th>\n' +
            '                <th>Skrzynia biegów</th>\n' +
            '                <th>Napęd</th>\n' +
            '                <th>Typ auta</th>\n' +
            '                <th>Liczba drzwi</th>\n' +
            '                <th>Liczba miejsc</th>\n' +
            '                <th>Ceny od</th>\n' +
            '                <th>Ceny do</th>\n' +
            '                <th>Srednio</th>\n' +
            '                <th>Srednia ocena</th>\n' +
            '                <th>Rodzaj paliwa</th>\n' +
            '                <th>Srednie spalanie</th>\n' +
            '                <th>Zalety</th>\n' +
            '                <th>Wady</th>\n' +
            '            </tr></thead>';
        $.each(data, function (key, value) {
            var i = 1;
            cars_data += '<tr>';
            cars_data += '<td>' + i + '</td>';
            cars_data += '<td>' + value.brand + '</td>';
            cars_data += '<td>' + value.model + '</td>';
            cars_data += '<td>' + value.version + '</td>';
            // cars_data += '<td>' + value.year + '</td>';
            cars_data += '<td>' + value.engine_power + '</td>';
            cars_data += '<td>' + value.engine_capacity + '</td>';
            cars_data += '<td>' + value.transmission + '</td>';
            cars_data += '<td>' + value.drive + '</td>';
            cars_data += '<td>' + value.body_type + '</td>';
            cars_data += '<td>' + value.doors + '</td>';
            cars_data += '<td>' + value.seats + '</td>';
            cars_data += '<td>' + value.price_from + '</td>';
            cars_data += '<td>' + value.price_to + '</td>';
            cars_data += '<td>' + value.average + '</td>';
            cars_data += '<td>' + value.rating + '</td>';
            cars_data += '<td>' + value.fuel + '</td>';
            cars_data += '<td>' + value.fuelEconomy.toFixed(1) + '</td>';
            cars_data += '<td>' + value.car_pros + '</td>';
            cars_data += '<td>' + value.car_cons + '</td>';
            cars_data += '</tr>';
            i = i + 1;
        });
        $('#table').append(cars_data);
    });

    // window.location.href = "../wynik.html";
    //  var myJsonString = JSON.stringify(data);
    //  $(function () {
    //      $('#table').bootstrapTable({
    //          data: myJsonString1
    //      });
    //      $('#table').bootstrapTable('load', myJsonString1);
    //  });
    //  console.log(myJsonString);

}
