package com.cars.car4you.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;


@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class CarDto {

    private String brand;
    private String model;
    private String version;
    private Integer year;
    private Integer engine_power;
    private Double engine_capacity;
    private String transmission;
    private String drive;
    private String body_type;
    private Integer doors;
    private Integer seats;
    private Long price_from;
    private Long price_to;
    private Long average;
    private Double rating;
    private String fuel;
    private String[] car_pros;
    private String[] car_cons;
    private Double fuelEconomy;

    public Double getFuelEconomy() {
        return fuelEconomy;
    }

    public void setFuelEconomy(Double fuelEconomy) {
        this.fuelEconomy = fuelEconomy;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public Integer getYear() {
        return year;
    }

    public void setYear(Integer year) {
        this.year = year;
    }

    public Integer getEngine_power() {
        return engine_power;
    }

    public void setEngine_power(Integer engine_power) {
        this.engine_power = engine_power;
    }

    public Double getEngine_capacity() {
        return engine_capacity;
    }

    public void setEngine_capacity(Double engine_capacity) {
        this.engine_capacity = engine_capacity;
    }

    public String getTransmission() {
        return transmission;
    }

    public void setTransmission(String transmission) {
        this.transmission = transmission;
    }

    public String getDrive() {
        return drive;
    }

    public void setDrive(String drive) {
        this.drive = drive;
    }

    public String getBody_type() {
        return body_type;
    }

    public void setBody_type(String body_type) {
        this.body_type = body_type;
    }

    public Integer getDoors() {
        return doors;
    }

    public void setDoors(Integer doors) {
        this.doors = doors;
    }

    public Integer getSeats() {
        return seats;
    }

    public void setSeats(Integer seats) {
        this.seats = seats;
    }

    public Long getPrice_from() {
        return price_from;
    }

    public void setPrice_from(Long price_from) {
        this.price_from = price_from;
    }

    public Long getPrice_to() {
        return price_to;
    }

    public void setPrice_to(Long price_to) {
        this.price_to = price_to;
    }

    public Long getAverage() {
        return average;
    }

    public void setAverage(Long average) {
        this.average = average;
    }

    public Double getRating() {
        return rating;
    }

    public void setRating(Double rating) {
        this.rating = rating;
    }

    public String getFuel() {
        return fuel;
    }

    public void setFuel(String fuel) {
        this.fuel = fuel;
    }

    public String[] getCar_pros() {
        return car_pros;
    }

    public void setCar_pros(String[] car_pros) {
        this.car_pros = car_pros;
    }

    public String[] getCar_cons() {
        return car_cons;
    }

    public void setCar_cons(String[] car_cons) {
        this.car_cons = car_cons;
    }
}
