package com.cars.car4you.repository;

import com.cars.car4you.model.Car;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CarRepository extends CrudRepository<Car, Long>, CustomCarRepository {

    Car findById(long id);
    List<Car> findByModel(String model);

}
